package com.mcwl.web.controller.resource;

import com.mcwl.common.core.domain.R;
import com.mcwl.resource.domain.Collect;
import com.mcwl.resource.service.impl.CollectServiceImpl;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 收藏
 * @author DaiZibo
 * @date 2025/3/5
 * @apiNote
 */

@Slf4j
@Api(tags = "收藏")
@RestController
@RequestMapping("/collect")
public class CollectController {

    @Autowired
    private CollectServiceImpl collectService;

    @PostMapping("/addCollect")
    public R addCollect(@RequestBody Collect collect){

        return collectService.addCollect(collect);
    }


}
